/*
 * Copyright (C) 2007 Andre Beckedorf <evilJazz _AT_ katastrophos _DOT_ net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef COVERART_H_INCLUDED
#define COVERART_H_INCLUDED

#include <qwidget.h>
#include <qimage.h>

class QTimer;
class Media;
class QKeyEvent;

class CoverArt : public QWidget
{
	Q_OBJECT

public:
	CoverArt(QWidget *parent = 0, const char *name = 0);
	virtual ~CoverArt();
	
	void setImage(QImage *image)
	{
		coverImage_ = image;
		imageValid_ = false;
	}
	
protected:
	virtual void paintEvent(QPaintEvent *);
	virtual void resizeEvent(QResizeEvent *e);
	
private:
	bool imageValid_;
	QImage *coverImage_;
	QImage scaledImage_;
	QPixmap doubleBuffer_;
	
	QImage tempImage_;
	
	void paintToBuffer();	
};

#endif /*COVERART_H_INCLUDED*/
